classification
Title: unable to open python on Windows
Type: crash Stage: resolved
Components: Installation, Windows Versions: Python 3.6
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: Kenneth Griffin, brobby crobby, iritkatriel, paul.moore, steve.dower, tim.golden, zach.ware
Priority: normal Keywords:

Created on 2017-08-02 01:07 by Kenneth Griffin, last changed 2021-09-09 23:37 by steve.dower. This issue is now closed.

Messages (5)
msg299640 - (view) Author: Kenneth Griffin (Kenneth Griffin) Date: 2017-08-02 01:07
tried installing multiple versions of 3.6 on windows. the installation works. However, when trying to put python --version in the command line of powershell, i get a pop up that says python has stopped working.
msg299641 - (view) Author: brobby crobby (brobby crobby) Date: 2017-08-02 03:41
i get this message while using git bash
$ python
C:/Users/simrash2000/AppData/Local/Programs/Python/Python36/python.exe: error while loading shared libraries: api-ms-win-crt-heap-l1-1-0.dll: cannot open shared object file: No such file or directory
msg299783 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2017-08-05 13:53
This probably means that your system failed to install the C Runtime, but not badly enough that it actually reported an error.

First try rebooting, and if that doesn't work then search for the VisualC++ 2015 Redistributable installer and run that.
msg401534 - (view) Author: Irit Katriel (iritkatriel) * (Python committer) Date: 2021-09-09 23:25
Is there anything more we can do on this or can we close it?
msg401537 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-09-09 23:37
At this point, this isn't a helpful bug report anymore.
History
Date User Action Args
2021-09-09 23:37:29steve.dowersetstatus: pending -> closed
resolution: out of date
messages: + msg401537

stage: resolved
2021-09-09 23:25:16iritkatrielsetstatus: open -> pending
nosy: + iritkatriel
messages: + msg401534

2017-08-05 13:53:24steve.dowersetmessages: + msg299783
2017-08-05 03:10:27terry.reedysetnosy: + paul.moore, tim.golden, zach.ware, steve.dower

components: + Windows
title: unable to open python -> unable to open python on Windows
2017-08-02 03:41:35brobby crobbysetnosy: + brobby crobby
messages: + msg299641
2017-08-02 01:07:09Kenneth Griffincreate